OpenJPEG: opj_t1_cblk_encode_processing_job_t Struct Reference

OpenJPEG 2.3.1

Data Fields
opj_t1_cblk_encode_processing_job_t Struct Reference

## Data Fields
OPJ_UINT32 | compno
OPJ_UINT32 | resno
opj_tcd_cblk_enc_t * | cblk
opj_tcd_tile_t * | tile
opj_tcd_band_t * | band
opj_tcd_tilecomp_t * | tilec
opj_tccp_t * | tccp
const OPJ_FLOAT64 * | mct_norms
OPJ_UINT32 | mct_numcomps
volatile OPJ_BOOL * | pret
opj_mutex_t * | mutex

## Field Documentation

## ◆ band

opj_tcd_band_t* opj_t1_cblk_encode_processing_job_t::band

Referenced by opj_t1_cblk_encode_processor(), and opj_t1_encode_cblks().

## ◆ cblk

opj_tcd_cblk_enc_t* opj_t1_cblk_encode_processing_job_t::cblk

Referenced by opj_t1_cblk_encode_processor(), and opj_t1_encode_cblks().

## ◆ compno

OPJ_UINT32 opj_t1_cblk_encode_processing_job_t::compno

Referenced by opj_t1_cblk_encode_processor(), and opj_t1_encode_cblks().

## ◆ mct_norms

const OPJ_FLOAT64* opj_t1_cblk_encode_processing_job_t::mct_norms

Referenced by opj_t1_cblk_encode_processor(), and opj_t1_encode_cblks().

## ◆ mct_numcomps

OPJ_UINT32 opj_t1_cblk_encode_processing_job_t::mct_numcomps

Referenced by opj_t1_cblk_encode_processor(), and opj_t1_encode_cblks().

## ◆ mutex

opj_mutex_t* opj_t1_cblk_encode_processing_job_t::mutex

Referenced by opj_t1_cblk_encode_processor(), and opj_t1_encode_cblks().

## ◆ pret

volatile OPJ_BOOL* opj_t1_cblk_encode_processing_job_t::pret

Referenced by opj_t1_cblk_encode_processor(), and opj_t1_encode_cblks().

## ◆ resno

OPJ_UINT32 opj_t1_cblk_encode_processing_job_t::resno

Referenced by opj_t1_cblk_encode_processor(), and opj_t1_encode_cblks().

## ◆ tccp

opj_tccp_t* opj_t1_cblk_encode_processing_job_t::tccp

Referenced by opj_t1_cblk_encode_processor(), and opj_t1_encode_cblks().

## ◆ tile

opj_tcd_tile_t* opj_t1_cblk_encode_processing_job_t::tile

Referenced by opj_t1_cblk_encode_processor(), and opj_t1_encode_cblks().

## ◆ tilec

opj_tcd_tilecomp_t* opj_t1_cblk_encode_processing_job_t::tilec

Referenced by opj_t1_cblk_encode_processor(), and opj_t1_encode_cblks().

The documentation for this struct was generated from the following file:

- t1.c